Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.franz.agjena
Class StartUp

    java.lang.Object
      com.franz.agjena.StartUp

    public class StartUp

extends java.lang.Object

This class provides some helper methods to manipulate AllegroGraph triple store instances.

Nested Class Summary
`static class` | `StartUp.AccessTripleStore`

Constructor Summary
`StartUp()`

Method Summary
`static void` | `main(java.lang.String[] args)`
`static void` | `shutDownTripleStore(AllegroGraph agStore)` Close the triple store and shut down the AllegroGraph Java server.
`static AllegroGraph` | `startUpTripleStore(StartUp.AccessTripleStore accessOption, java.lang.String host, java.lang.String dbName, java.lang.String dbDirectory, java.lang.String[] args)` Parse the configuration arguments, start up the

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StartUp

    public StartUp()

Method Detail

### startUpTripleStore

    public static AllegroGraph startUpTripleStore(StartUp.AccessTripleStore accessOption,
                                                  java.lang.String host,
                                                  java.lang.String dbName,
                                                  java.lang.String dbDirectory,
                                                  java.lang.String[] args)

  Parse the configuration arguments, start up the

  Parameters:
    `host` -
    `dbName` -
    `dbDirectory` -
    `args` -
  Returns:
    a running AllegroGraph server
  Throws:
    `AllegroGraphException`
    `java.io.IOException`

### shutDownTripleStore

    public static void shutDownTripleStore(AllegroGraph agStore)

  Close the triple store and shut down the AllegroGraph Java server.

  Throws:
    `AllegroGraphException`
    `java.io.IOException`

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD